# Class Voucher

- Defined in src/system/voucher.ts:13

#####
Index

### Constructors

constructor

### Properties

conditionFunc
description
id
voucherType

### Methods

getIconImage
getName
getTier
validate

## Constructors

### constructor

- new Voucher(voucherType, description, conditionFunc?): Voucher

- #### Parameters

  - voucherType: VoucherType
  - description: string
  - `Optional` conditionFunc: ((scene, args) => boolean)
    - - (scene, args): boolean

      - #### Parameters

        - scene: default
        - args: any[]

        #### Returns boolean

  #### Returns Voucher

  - Defined in src/system/voucher.ts:20

## Properties

### `Private` conditionFunc

conditionFunc: ((scene, args) => boolean)

#### Type declaration

- - (scene, args): boolean

  - #### Parameters

    - scene: default
    - args: any[]

    #### Returns boolean

- Defined in src/system/voucher.ts:18

### description

description: string

- Defined in src/system/voucher.ts:16

### id

id: string

- Defined in src/system/voucher.ts:14

### voucherType

voucherType: VoucherType

- Defined in src/system/voucher.ts:15

## Methods

### getIconImage

- getIconImage(): string

- #### Returns string

  - Defined in src/system/voucher.ts:34

### getName

- getName(): string

- #### Returns string

  - Defined in src/system/voucher.ts:30

### getTier

- getTier(): AchvTier

- #### Returns AchvTier

  - Defined in src/system/voucher.ts:38

### validate

- validate(scene, args): boolean

- #### Parameters

  - scene: default
  - args: any[]

  #### Returns boolean

  - Defined in src/system/voucher.ts:26